Subject: Fwd: bug#7383: 24.0.50; end-of-line style on remote files

From: Dani Moncayo <[email-masked]>
Date: Wed, 4 May 2011 12:32:00 +0200

[I'm forwarding some messages to the mailing list, because I
unintentionally replied privately.]

---------- Forwarded message ----------
From: Dani Moncayo <[email-masked]>
Date: Thu, Apr 28, 2011 at 15:36
Subject: Re: bug#7383: 24.0.50; end-of-line style on remote files
To: Michael Albinus <[email-masked]>

On Thu, Apr 28, 2011 at 13:17, Michael Albinus <[email-masked]> wrote:
> Dani Moncayo <[email-masked]> writes:
>
>> Sorry, did you mean "which TRAMP method"? If so, I use the default:
>>   C-x C-f /user@host:/path-to-file
>
> This defaults to "pscp". You could check it with "C-h v tramp-default-method".
>

Its value is "ftp"

> If this is the case, could you please eval
>
> (setq tramp-copy-size-limit nil)
>
> and check afterwards, whether the problem still happens?

Yes, it still happens after doing that.

Here is another example of bad behavior:
 1. Create a new buffer (on Windows, it will have DOS format).
 2. Save the buffer to a remote location (C-x C-s /user@host:/path-to-file).

Then, I see the same two problems described in the OP:
 a.- The modeline indicator is wrong: It says that the file has DOS
format (in fact has UNIX format).
 b.- The new file has been created with UNIX format (it should be DOS format).

--
Dani Moncayo